package com.ruoyi.screen.mapper;

import com.ruoyi.screen.domain.response.*;

import java.util.List;

/**
 * 大屏网络安全数据层
 */
public interface ZongzhiScreenSaftyMapper {


    /**
     * 查询来源数据
     *
     * @return ZongzhiSourceResponse
     */
    public List<ZongzhiSourceResponse> getSource();


    /**
     * 安全检测数据统计
     */
    public List<ZongzhiSafetyResponse> getsafety();


    /**
     * 安全检测数据列表
     */
    public List<ZongzhiSafetyListResponse> getSafetyList();

    /**
     * 等保系统
     */
    public List<ZongzhiDengbaoSystemResponse> getDengbaoSystem();


    /**
     * 等保单位
     */
    public List<ZongzhiDengbaoUnitResponse> getDengbaoUnit();


    /**
     * 政府网站
     */
    public List<ZongzhiZhengfuResponse> getZhengfu();

    /**
     * idc
     */
    public List<ZongzhiIdcResponse> getIdc();

    /**
     * 各地区攻击次数
     */
    public List<ZongzhiAttackResponse> getAttack();


    /**
     * 受攻击情况Top5及分布情况
     */
    public List<ZongzhiUnAttackResponse> getUnAttackTop();


    /**
     * 安全隐患
     */
    public List<ZongzhiSafetyHazardResponse> getSafetyHazard();


    /**
     * 隐患处置最新隐患
     */
    public List<ZongzhiHazardDisposalResponse> getHazardDisposal();


    /**
     * 隐患处置最新隐患
     */
    public List<ZongzhiNotificationResponse> getNotification();




    /**
     * 通报统计属地通报
     */
    public List<ZongzhiTbAreaResponse> getTbArea();




    /**
     * 通报统计属地通报
     */
    public List<ZongzhiTbDeptResponse> getTbDept();


    /**
     * 近一个月通报
     */
    public List<ZongzhiTbDeptCompleteMonthResponse> getmonthList();


    /**
     * 近三个月通报
     */
    public List<ZongzhiTbDeptCompleteThirdMonthResponse> getthirdList();


    /**
     * 近六个月通报
     */
    public List<ZongzhiTbDeptCompleteSixResponse> getsixList();


    /**
     * 近三个月通报
     */
    public List<ZongzhiTbDeptCompleteYearResponse> getyearList();


}
